@charset "UTF-8";

:root,
[data-bs-theme=light] {
	--font: 'Plus Jakarta Sans', sans-serif;

	--bs-primary: #4F20BD;
	--bs-primary-rgb: 79, 32, 189;

	--primary-color: var(--bs-primary);
	--primary-color-light: hsl(from var(--primary-color) h s calc(l + 10));
	--primary-color-dark: hsl(from var(--primary-color) h s calc(l - 10));

	--xxl: 7.5rem;
	--xl: calc(var(--xxl) / 2);


	--bs-secondary: #E6DFF6;
	--bs-secondary-rgb: 230, 223, 246;

	--bs-light: #F3F3F3;
	--bs-light-rgb: 243, 243, 243;

	--bs-dark: black;
	--bs-dark-rgb: 0,0,0;

	--bs-body-color: #212529;
	--bs-border-color: hsl(0, 0%, 75%);

	--bs-link-color: #4F20BD;
  --bs-link-color-rgb: 79, 32, 189;
  --bs-link-hover-color: #341875;
  --bs-link-hover-color-rgb: 52, 24, 117;

	--h1: 	clamp(2.44rem, 4vw, 3.81rem);
	--h2: 	clamp(2.37rem, 3vw, 3.05rem);
	--h3: 	clamp(1.56rem, 2.5vw, 2.44rem);
	--h4: 	clamp(1.35rem, 2.3vw, 2.37rem);
	--h5: 	clamp(1.25rem, 2vw, 1.56rem);
	--h6: 	clamp(1.15rem, 1.5vw, 1.25rem);
	--lead: var(--h6);

	--affix-height: 80px;
	--line-height: 1.85;
}

[x-cloak] {
	display: none !important;
}

:focus-visible {
	outline: 2px dashed var(--primary-color);
  outline-offset: 2px;
}

html {
	scroll-behavior: smooth;
	scroll-padding-top: var(--affix-height);
}

body {
	font-family: var(--font);
	color: var(--bs-body-color);
	line-height: var(--line-height);
}

@supports (text-wrap: pretty) {
	p, li {text-wrap: pretty;}
}

.font-size-12px {font-size: .75rem;}
.font-size-14px {font-size: .875rem;}
.font-size-16px {font-size: 1rem;}
.font-size-18px {font-size: 1.125rem;}
.font-size-20px {font-size: 1.25rem;}
.font-size-22px {font-size: 1.375rem;}
.font-size-24px {font-size: 1.5rem;}
.font-size-26px {font-size: 1.625rem;}
.font-size-28px {font-size: 1.75rem;}
.font-size-30px {font-size: 1.875rem;}
.font-size-32px {font-size: 2rem;}
.font-size-34px {font-size: 2.125rem;}
.font-size-36px {font-size: 2.25rem;}
.font-size-38px {font-size: 2.375rem;}
.font-size-40px {font-size: 2.5rem;}
.font-size-42px {font-size: 2.625rem;}
.font-size-44px {font-size: 2.75rem;}
.font-size-46px {font-size: 2.875rem;}
.font-size-48px {font-size: 3rem;}
.font-size-50px {font-size: 3.125rem;}

.icon {
	width: var(--icon-size, 72px);
}

.icon-72px, [src*="_72px"] {width: 72px;}
.icon-48px, [src*="_48px"] {width: 48px;}
.icon-32px, [src*="_32px"] {width: 32px;}
.icon-16px, [src*="_16px"] {width: 16px;}

h1, h2, h3, h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
	font-family: var(--font);
	margin-bottom: 1rem;
	line-height: 1.09;
	font-weight: bold;
	color: var(--bs-dark);
	text-wrap: balance;
}

h1 em, h2 em, h3 em, h4 em, h5 em, h6 em,
.h1 em, .h2 em, .h3 em, .h4 em, .h5 em, .h6 em {
	font-style: normal;
	color: var(--primary-color);
}

h1, .h1 {font-size: var(--h1) !important;}
h2, .h2 {font-size: var(--h2) !important;}
h3, .h3 {font-size: var(--h3) !important;}
h4, .h4 {font-size: var(--h4) !important;}
h5, .h5 {font-size: var(--h5) !important;}
h6, .h6 {font-size: var(--h6) !important;}
.lead   {font-size: var(--lead);}

.lead, p {
	text-wrap: pretty;
	font-weight: normal;
}

.container-fluid {
	padding-inline: 3vw;
}

@media (min-width: 1536px) {
	.container {max-width: 1470px;}
}

.inset-0 {inset: 0;}

.p-xxl {padding: var(--xxl);}
.p-xl {padding: var(--xl);}
.px-xxl {padding-inline: var(--xxl)}
.px-xl {padding-inline: var(--xl)}

.pt-xxl {padding-top: var(--xxl);}
.pb-xxl {padding-bottom: var(--xxl);}
.py-xxl {
	padding-top: var(--xxl);
	padding-bottom: var(--xxl);
}
.mt-xxl {margin-top: var(--xxl);}
.mb-xxl {margin-bottom: var(--xxl);}
.my-xxl {
	margin-top: var(--xxl);
	margin-bottom: var(--xxl);
}

.pt-xl {padding-top: var(--xl);}
.pb-xl {padding-bottom: var(--xl);}
.py-xl {
	padding-top: var(--xl);
	padding-bottom: var(--xl);
}
.mt-xl {margin-top: var(--xl);}
.mb-xl {margin-bottom: var(--xl);}
.my-xl {
	margin-top: var(--xl);
	margin-bottom: var(--xl);
}

#main ol li ul {
	margin-top: 1rem;
	margin-bottom: 1rem;
}

#main ol li + li {margin-top: 1rem;}

/*  MARK: navbar  */

.navbar {
    --bs-navbar-padding-x: 0;
    --bs-navbar-padding-y: 1.875rem;
    --bs-navbar-active-color: white;
    --bs-navbar-nav-link-padding-x: 1rem;
	transition: padding 200ms, box-shadow 200ms;
}

.navbar.affix {
	--bs-navbar-padding-y: .5rem;
	background-color: var(--primary-color);
	box-shadow: 0 0 2rem hsl(0 0% 0% / .15);
}

.navbar a[href*="tel"] {
	color: white;
	margin: 0;
	border-left: 1px solid white;
	font-size: var(--h5);
	font-weight: bold;
	text-decoration: none;
	padding-left: 4rem;
	margin-left: 4rem;
	transition: padding 200ms, letter-spacing 200ms;

	&:hover,
	&:focus {
		letter-spacing: .05em;
		padding-left: 2.85rem;
	}
}

.navbar-brand-image {
	height: 48px;
	transition: height 200ms;
}

.affix .navbar-brand-image {
	height: 30px;
}

.navbar-nav .nav-link {
	font-weight: bold;
	color: white;
	border-radius: .5rem;

	transition: background-color 300ms;

	&:hover,
	&:focus,
	&.show,
	&.active {
		color: white;
		background-color: hsl(0 0% 100% / .1);
	}
}

.dropdown-menu {
	border: 0;
	padding: .75rem;
	border-radius: .5rem;
	background-color: var(--primary-color-dark);
	transform: translateY(30px);
	display: block;
	opacity: 0;
	pointer-events: none;
	transition: transform 300ms, opacity 300ms;
	transition-behavior: allow-discrete;

	&.show {
		pointer-events: all;
		opacity: 1;
		transform: translateY(5px);
	}
}

.dropdown-item {
	padding: 0.25rem .875rem;
	border-radius: .25rem;
	color: white;
	transition: color 200ms, background-color 200ms;
}

.dropdown-item:hover,
.dropdown-item:focus,
.dropdown-item.active {
	color: white;
	background-color: var(--primary-color-light);
}

.dropdown-toggle::after {
	border: 0;
	width: 0.35rem;
	height: 0.35rem;
	border-right: 1px solid white;
	border-bottom: 1px solid white;
	transform: rotate(45deg);
	transition: transform 200ms;
}

.dropdown-toggle.show::after {
	transform: rotate(-135deg);
	vertical-align: .1rem;
}

/*  MARK: header  */

header h1 {
	color:  white;
}

header {padding-top: 25px;}

.header-hero {
	animation: zoom-out 10s cubic-bezier(0.165, 0.84, 0.44, 1) 1 forwards;
}

@keyframes zoom-out {
	from {
		transform: scale(1.1);
	}

	to {
		transform: scale(1);
	}
}

@keyframes zoom-in {
	from {
		transform: scale(1);
	}

	to {
		transform: scale(1.2);
	}
}

/*  MARK: main content */

.btn {
    --bs-btn-padding-x: 1.875rem;
    --bs-btn-padding-y: 1.25rem;
    --bs-btn-font-size: 1rem;
    --bs-btn-font-weight: 700;
    --bs-btn-line-height: 1.5;
		--bs-btn-border-radius: .5rem;

		text-wrap: balance;
		transition: color 200ms, background-color 200ms, border-color 200ms;
}

.btn-primary {
    --bs-btn-bg: var(--primary-color);
    --bs-btn-border-color: var(--primary-color);
    --bs-btn-hover-bg: var(--primary-color-light);
    --bs-btn-hover-border-color: var(--primary-color-light);
    --bs-btn-active-bg: var(--primary-color-dark);
    --bs-btn-active-border-color: var(--primary-color-dark);
}

.btn-outline-primary {
    --bs-btn-color: var(--primary-color);
    --bs-btn-border-color: var(--primary-color);
    --bs-btn-hover-bg: var(--primary-color);
    --bs-btn-hover-border-color: var(--primary-color);
    --bs-btn-active-bg: var(--primary-color);
    --bs-btn-active-border-color: var(--primary-color);
}

.btn-light {
	color: var(--primary-color);
}

.dlaczegogrid,
.products {
	display: grid;
	gap: 30px;

	grid-template-columns: repeat(auto-fit, minmax(370px, 1fr));
}

h2 .badge {
	font-size: 1rem;
	padding: 0.65rem 1rem;
	margin-bottom: 1.5rem;
}

#rozmiary h2 {
	color: white;
}

.card-img-top {
	overflow: hidden;
	display: block;
	border-bottom: 1px solid var(--bs-border-color);

	& img {
		width: 100%;
		aspect-ratio: 470 / 320;
		object-fit: contain;
		transition: transform 500ms cubic-bezier(0.165, 0.84, 0.44, 1);
	}
}

.card[x-data] {
	cursor: pointer;

	&:hover,
	&:focus {
		& .card-img-top img {
			transform: scale(1.1);
		}
	}
}

.card-body {
	padding: 36px;

	& .badge {
		font-size: 1rem;
		padding: .65rem 1rem;
	}

	& .text-end {
		line-height: 1.3;
	}
}

.btn-primary {
	box-shadow: 0 .5rem 1.75rem hsl(258 71% 43% / .34);
	transition: transform 200ms, background-color 200ms, box-shadow 200ms;

	&:hover,
	&:focus {
		transform: translateY(-2px);
		box-shadow: 0 1rem 1.5rem -.35rem hsl(258 71% 43% / .4);
	}
}

.recycling-box {
	overflow: hidden;
	position: relative;
	isolation: isolate;

	&::before {
		content: '';
		display: block;
		width: 60%;
		aspect-ratio: 1/1;
		border-radius: 50%;
		background-color: hsl(264 98.12% 66.03%);

		position: absolute;
		top: -30%;
		right: -30%;
		z-index: -1;

		filter: blur(5rem);
		transform: translate(-50%, -50%);

		animation: rotatebg 20s linear infinite forwards;
	}

	& h3 {
		color: white;
		margin: 1.5rem 0;
	}

	& ul {
		padding-left: 0;
	}

	& li {
		list-style: none;
		display: flex;
		align-items: center;
		gap: 1rem;

		& + li {
			margin-top: 0.5rem;
		}

		& .text-muted {
			width: 3.75em;
			display: block;
			color: hsl(0 0% 100% / .5) !important;
		}

		&::before {
			content: '';
			display: block;
			width: 8px;
			height: 8px;
			background-repeat: no-repeat;
			background-size: contain;
			background-image: url(../img/arrow-right.svg);
		}
	}

}

@keyframes rotatebg {
  0%   { left: 100%; top: 0; }
  25%  { left: 100%; top: 100%; }
  50%  { left: 0;    top: 100%; }
  75%  { left: 0;    top: 0; }
  100% { left: 100%; top: 0; }
}

.checklist {
	margin: 1rem 0 0 0;
	padding: 0;
	display: flex;
	gap: .5rem;

	li {
		list-style: none;
		margin: 0;
		line-height: 1.3;
		padding: 0 0 0 1.5rem;
		position: relative;
		font-weight: bold;
		flex: auto;

		&::before {
			content: '';
			display: block;
			width: 1rem;
			height: 1rem;
			background-image: url(../img/check.svg);
			background-repeat: no-repeat;
			background-size: contain;

			position: absolute;
			top: .1em;
			left: 0;
		}

	}
}


#kontakt .position-sticky {
	top: 80px;
	bottom: 30px;
}

#kontakt .bg-light a {
	transition: color 200ms;

	&:hover,
	&:focus {
		color: var(--primary-color);
	}
}

/*  MARK: stopka */

footer a {
	text-decoration: none;
	color: white;
	transition: color 200ms;
}

footer a:hover,
footer a:focus {
	color: var(--primary-color-light);
}

.list-unstyled li + li {
	margin-top: 0.75em;
}

.madeby {
	display: flex;
	align-items: center;
}

.madeby small {
	font-size: 0.625rem;
	margin: 0.2em 0.2em 0 0;
}

/*  MARK: sub content  */

.sub {
	padding-top: 104px;
}

.sub .navbar {
	background-color: var(--primary-color);
}

main:has(#sub-pages:last-of-type) {
	padding-bottom: 0;
}

.gallery a {
	display: block;
	width: 100%;
	border-radius: .5rem;
	overflow: hidden;
}

.gallery a img {
	width: 100%;
	display: block;
	transition: transform 600ms cubic-bezier(0.19, 1, 0.22, 1);
}

.gallery a:hover img {
	transform: scale(1.1);
}

.downloads a {
	text-decoration: none;
	color: black;
	border: 1px solid hsl(0 0% 90%);
	border-radius: .25rem;
	transition: color 200ms, border-color 200ms;

	& .h5 {
		font-size: 1rem !important;
		font-weight: normal;
	}
}

.downloads a:hover {
	color: var(--primary-color);
	border-color: var(--primary-color);
}

.form-check-input,
.form-select,
.form-control {
	border-radius: .5rem;
	padding: 0.75rem;

	transition: border-color 200ms, background-color 200ms;

	&:hover {
		background-color: var(--bs-secondary);
	}

	&:focus {
		background-color: white;
		border-color: var(--primary-color);
	}
}

.form-check-input:checked {
	background-color: var(--primary-color);
	border-color: var(--primary-color);
}

.form-label {
	text-transform: uppercase;
	letter-spacing: 1px;
	font-weight: bold;
	font-size: .75rem;
}

.form-control.error {
	border-color: red;
}

textarea.form-control {
	height: 10.5rem;
}

.form-check {
	min-height: 2.5rem;
	padding-left: 2.5em;
}

.form-check .form-check-input {
	margin-left: -2.5em;
}

.error-msg {
	color: red;
}

/*  MARK: paginator  */

.pagination {
	display: flex;
}

.pagination li {
	display: none;
}

.pagination .active,
.pagination .insertPage,
.pagination li:first-child,
.pagination li:last-child {
	display: block;
}

.pagination a,
.pagination input {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 30px;
	height: 30px;
	margin: 0 5px;
	padding: 0;
	text-align: center;
	color: #bbb;
	border: 1px solid #e1e1e1;
	text-decoration: none;
	transition: all .2s;
}

.pagination a:focus,
.pagination a:hover,
.pagination input:focus,
.pagination input:hover {
	color: var(--primary-color);
	border: 1px solid var(--primary-color);
}

.pagination input::placeholder {
	color: #bbb;
	font-size: 16px;
	font-weight: 500;
}

.pagination .active a {
	border: 1px solid var(--primary-color);
	background: var(--primary-color);
	color: #fff;
	cursor: text;
}

.pagination .insertPage+.insertPage {
	display: none;
}

/*  MARK: RWD  */
